Name:		nsca
Version:	2.9.1
Release:	%mkrel 4
Summary:	NSCA daemon for Nagios
License:	GPL
Group:		System/Servers
URL:		http://sourceforge.net/projects/nagios/
Source0:	http://prdownloads.sourceforge.net/nagios/%{name}-%{version}.tar.gz
Source1:	nsca.service
Source2:	nsca.tmpfiles
Patch0:		nsca-mdv_conf.diff
Patch1:		nsca-2.9.1-fix-open.patch
BuildRequires:	tcp_wrappers-devel
BuildRequires:	libmcrypt-devel
BuildRequires:	libtool-devel
Requires:	tcp_wrappers
Requires:	nagios
Requires(post): rpm-helper
Requires(preun): rpm-helper

%description
The NSCA addon is designed to accept passive host and service check results
from clients that use the send_nsca utility (included in client subpackage) and
pass them along to the Nagios process by using the external command interface.

%package -n	send_nsca
Summary:	NSCA client
Group:		System/Servers

%description -n	send_nsca
NSCA client - is used to send service check information from a remote machine
to the NSCA daemon on the central machine that runs Nagios.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
%configure2_5x \
    --with-nsca-port=5667 \
    --with-nsca-user=nagios \
    --with-nsca-grp=nagios \
    --localstatedir=/var/spool/nagios \
    --sysconfdir=%{_sysconfdir}/nagios

%make

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_sbindir}
install -m 755 src/nsca %{buildroot}%{_sbindir}
install -m 755 src/send_nsca %{buildroot}%{_sbindir}

install -d -m 755 %{buildroot}%{_sysconfdir}/nagios
install -m 644 sample-config/nsca.cfg %{buildroot}%{_sysconfdir}/nagios
install -m 644 sample-config/send_nsca.cfg %{buildroot}%{_sysconfdir}/nagios

install -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/nsca.service
install -D -m 644 %{SOURCE2} %{buildroot}%{_prefix}/lib/tmpfiles.d/nsca.conf

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc Changelog LEGAL README SECURITY
%config(noreplace) %{_sysconfdir}/nagios/nsca.cfg
%{_unitdir}/nsca.service
%{_prefix}/lib/tmpfiles.d/nsca.conf
%{_sbindir}/nsca

%files -n send_nsca
%doc Changelog LEGAL README SECURITY
%config(noreplace) %{_sysconfdir}/nagios/send_nsca.cfg
%{_sbindir}/send_nsca




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.9.1-4.mga3
+ Revision: 361057
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 guillomovitch <guillomovitch> 2.9.1-3.mga3
+ Revision: 288803
- minor systemd service fixes

* Tue Sep 04 2012 guillomovitch <guillomovitch> 2.9.1-2.mga3
+ Revision: 287984
- /run tmpfs support
- systemd service: no need to restart service

* Wed Aug 22 2012 guillomovitch <guillomovitch> 2.9.1-1.mga3
+ Revision: 283053
- new version

* Tue Jul 17 2012 nanardon <nanardon> 2.7.2-8.mga3
+ Revision: 271766
- switch to systemd

* Tue Jul 17 2012 nanardon <nanardon> 2.7.2-7.mga3
+ Revision: 271750
- correction initscript
- imported package nsca

